﻿using System;
using System.IO;
using System.Reflection;
using ImageSharp;

namespace Test.ISharp.Classic461
{
    class Program
    {
        static void Main(string[] args)
        {
            string input = Path.Combine(GetAssemblyPath(), "../../input");
            string output = Path.Combine(GetAssemblyPath(), "../../output");

            if (!Directory.Exists(output))
            {
                Directory.CreateDirectory(output);
            }

            foreach (string file in Directory.GetFiles(input))
            {
                string name = Path.GetFileName(file);

                using (FileStream inputStream = File.OpenRead(file))
                using (FileStream outputStream = File.Create(Path.Combine(output, name)))
                using (Image image = Image.Load(inputStream))
                {
                    image.SaveAsPng(outputStream);
                }
            }
        }

        private static string GetAssemblyPath()
        {
            string assemblyLocation = typeof(Program).GetTypeInfo().Assembly.Location;
            assemblyLocation = Path.GetDirectoryName(assemblyLocation);

            if (assemblyLocation != null)
            {
                assemblyLocation = Path.GetFullPath(assemblyLocation);
            }

            return assemblyLocation;
        }
    }
}
