﻿using System;
using System.IO;
using System.Reflection;

namespace Test.ISharp.Core11
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                string input = Path.Combine(GetAssemblyPath(), "../../../../input");
                string output = Path.Combine(GetAssemblyPath(), "../../../../output");

                Test.ISharp.Multiple.Program.Main(input, output);
                Console.WriteLine("Successfully converted image to png using .NETCore 1.1. Check your output folder for results!");
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
        }

        private static string GetAssemblyPath()
        {
            string assemblyLocation = typeof(Program).GetTypeInfo().Assembly.Location;
            assemblyLocation = Path.GetDirectoryName(assemblyLocation);

            if (assemblyLocation != null)
            {
                assemblyLocation = Path.GetFullPath(assemblyLocation);
            }

            return assemblyLocation;
        }
    }
}