﻿using System.IO;
using System.Reflection;
using ImageSharp;

namespace Test.ISharp.Multiple
{
    public static class Program
    {
        public static void Main(string input, string output)
        {
            if (!Directory.Exists(output))
            {
                Directory.CreateDirectory(output);
            }

            foreach (string file in Directory.GetFiles(input))
            {
                string name = Path.GetFileName(file);

                using (FileStream inputStream = File.OpenRead(file))
                using (FileStream outputStream = File.Create(Path.Combine(output, name)))
                using (Image image = Image.Load(inputStream))
                {
                    image.SaveAsPng(outputStream);
                }
            }
        }
    }
}